Get dataset status
Retrieves time of the last update, the expected time of the next update and the status code for the dataset
GEThttps://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/status#
Retrieves time of the last update, the expected time of the next update and the status code for the dataset
Request#
Path Parameters#
dataset_id Dataset Idrequired
A short internal dataset identifier (unique).
Example:
US1032Responses#
- 200
- 403
- 404
- 422
Successful Response
- application/json
- Schema
- Example (auto)
Schema
last_update_timedate-timerequired
A UTC timestamp of the most recent data update.
Example:
2026-04-05T08:30:00Zexpected_next_updatestringrequired
The expected time of next scheduled update.
Example:
06:30 ETstatusstringrequired
The health status of the underlying ArdaDB table. Indicates whether the dataset is available, empty, inactive, or contains corrupted parts.
Possible values: [OK, No Data, Partial Outage, Down]
Example:
OK{
"last_update_time": "2026-04-05T08:30:00Z",
"expected_next_update": "06:30 ET",
"status": "OK"
}
Forbidden
- application/json
No schema
Not Found
- application/json
No schema
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
string
msgstringrequired
typestringrequired
inputInput
ctxobject
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/meta/datasets/:dataset_id/status");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Response
Click the Send API Request button above and see the response here!